Bug 437964 - lookupChannel xmlrpc call does not know that channel descrption can be none
lookupChannel xmlrpc call does not know that channel descrption can be none
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
Depends On:
Blocks: 433460
  Show dependency treegraph
Reported: 2008-03-18 09:25 EDT by James Bowes
Modified: 2013-01-10 04:57 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 16:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-03-18 09:25:48 EDT
the rhn-manage-channel-internal tool will throw an error if you lookup the
details of a channel that does not have a description. Server side should know
this is possible, and send back an empty string instead of trying to send None
Comment 1 James Bowes 2008-03-18 11:53:40 EDT
To test:
use rhn-manage-channel-internal --list to display a channel that does't have a
description, ie:

rhn-manage-channel-internal --server dev --list --label rhel-i386-as-3

This command should succeed, not ISE
Comment 2 Amy Owens 2008-03-18 12:24:33 EDT
On DEV OK --
tried rhn-manage-channel-internal --server dev --list --label rhel-i386-as-3
and one with description: rhn-manage-channel-internal --server dev --list
--label rhel-i386-server-5
Comment 3 Amy Owens 2008-03-19 11:30:30 EDT
all set on qa

Note You need to log in before you can comment on or make changes to this bug.